const autoprefixer = require('autoprefixer');
const px2rem = require('postcss-pxtorem');

module.exports = {
  plugins: {
    "postcss-import": {},
    "tailwindcss/nesting": {},
    tailwindcss: {},
    ...(process.env.NODE_ENV === "production" ? {
      cssnano: {}
    } : {}),
    'postcss-pxtorem': px2rem({
      rootValue: 10,
      exclude: /node_modules/i,
      propList: ['*']
    }),
    "autoprefixer": autoprefixer({})
  }
};
